Media Files
This method will get all MediaFileInfo Objects
GET/api/media/media/file
Query parameters
namestring | internal name | Requires access right: PUBLIC, LOGGED_IN, SCOPE |
publicTitlestring | Requires access right: PUBLIC, LOGGED_IN, SCOPE |
publicSubtitlestring | Requires access right: PUBLIC, LOGGED_IN, SCOPE |
publicKeywordsstring | Requires access right: PUBLIC, LOGGED_IN, SCOPE |
publicDatestring | Requires access right: PUBLIC, LOGGED_IN, SCOPE |
publicOrderstring | Requires access right: PUBLIC, LOGGED_IN, SCOPE |
publicSeasonstring | Requires access right: PUBLIC, LOGGED_IN, SCOPE |
publicFileMimestring | Requires access right: PUBLIC, LOGGED_IN, SCOPE |
addonData_customFilterstring | Requires access right: PUBLIC, LOGGED_IN, SCOPE |
archivedboolean | |
generatedId3boolean | |
idinteger | |
createdstring | |
updatedstring | |
searchStringstring | text to search for in the list |
orderFieldNamestring | name of the order field |
orderFieldSortstring | sorting modeAllowed: DESCASC |
pageinteger | page of the list |
pageSizeinteger | number of entries for each page |
withMaxPageNumberstring | returns the number of pages available as a header if this is set |
Responses
200Returns a list of MediaFileInfo objectsarray<MediaFileInfo>
Show fields (31)
idintegerPrimary key of the media file. Internal ID.
media_file_typestringType of the media file, for example audio, video or image.
archivedbooleanThe file is archived.
namestringinternal name
descriptionstringinternal description
public_titlestringTitle shown to the public.
public_subtitlestringSubtitle shown to the public.
public_linkstringPublic link to the file.
public_authorstringAuthor shown to the public.
public_summarystringShort summary shown to the public.
public_descriptionstringDescription shown to the public.
public_explicitbooleanThe content is marked as explicit.
public_thumbnailstringURL of the thumbnail.
public_keywordsstringKeywords of the file.
public_file_urlstringURL of the file.
public_file_namestringName of the file.
public_file_mimestringMIME type of the file.
public_file_sizeintegerSize of the file in bytes.
public_durationintegerDuration of audio or video in seconds.
public_dimension_xintegerWidth of the image or video in pixels.
public_dimension_yintegerHeight of the image or video in pixels.
public_datestring (date-time)Publication date of the file.
public_orderintegerOrder of the file within its group.
public_episode_typestringEpisode type for podcasts, for example full or trailer.
public_seasonstringSeason for podcasts.
generated_id3booleanID3 tags were generated from the file.
guidstringGlobal unique ID of the file, used in feeds.
display_start_hourintegerHour from which the file is shown.
display_end_hourintegerHour until which the file is shown.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
curl --request GET \
--url https://your-instance.iw-erp.de/api/media/media/file \
--header 'x-iw-jwt-token: <TOKEN>'const options = {method: 'GET', headers: {'x-iw-jwt-token': '<TOKEN>'}};
fetch('https://your-instance.iw-erp.de/api/media/media/file', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/media/media/file"
headers = {"x-iw-jwt-token": "<TOKEN>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://your-instance.iw-erp.de/api/media/media/file', [
'headers' => [
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Get,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/media/media/file"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/media/media/file")
.get()
.addHeader("x-iw-jwt-token", "<TOKEN>")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/media/media/file"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/media_file_info_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await MediaFileInfoController.getAll();
if (result.success) {
print(result.data);
}[
{
"id": 42,
"name": "Beispiel",
"description": "Text",
"public_title": "Beispiel",
"public_description": "Text",
"public_file_url": "https://vynst.de",
"public_file_name": "Beispiel",
"media_file_type": "string",
"archived": true,
"public_subtitle": "string"
}
]Add a new MediaFileInfo
POST/api/media/media/{groupIdentifier}/file
Path parameters
groupIdentifierrequiredstring |
Request body application/json
dataMediaFileInfo2
Responses
200Add a new MediaFileInfoMediaFileInfo
Show fields (31)
idintegerPrimary key of the media file. Internal ID.
media_file_typestringType of the media file, for example audio, video or image.
archivedbooleanThe file is archived.
namestringinternal name
descriptionstringinternal description
public_titlestringTitle shown to the public.
public_subtitlestringSubtitle shown to the public.
public_linkstringPublic link to the file.
public_authorstringAuthor shown to the public.
public_summarystringShort summary shown to the public.
public_descriptionstringDescription shown to the public.
public_explicitbooleanThe content is marked as explicit.
public_thumbnailstringURL of the thumbnail.
public_keywordsstringKeywords of the file.
public_file_urlstringURL of the file.
public_file_namestringName of the file.
public_file_mimestringMIME type of the file.
public_file_sizeintegerSize of the file in bytes.
public_durationintegerDuration of audio or video in seconds.
public_dimension_xintegerWidth of the image or video in pixels.
public_dimension_yintegerHeight of the image or video in pixels.
public_datestring (date-time)Publication date of the file.
public_orderintegerOrder of the file within its group.
public_episode_typestringEpisode type for podcasts, for example full or trailer.
public_seasonstringSeason for podcasts.
generated_id3booleanID3 tags were generated from the file.
guidstringGlobal unique ID of the file, used in feeds.
display_start_hourintegerHour from which the file is shown.
display_end_hourintegerHour until which the file is shown.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
curl --request POST \
--url https://your-instance.iw-erp.de/api/media/media/42/file \
--header 'content-type: application/json' \
--header 'x-iw-jwt-token: <TOKEN>' \
--data '{}'const options = {
method: 'POST',
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://your-instance.iw-erp.de/api/media/media/42/file', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/media/media/42/file"
payload = {}
headers = {
"x-iw-jwt-token": "<TOKEN>",
"content-type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('POST', 'https://your-instance.iw-erp.de/api/media/media/42/file', [
'body' => '{}',
'headers' => [
'content-type' => 'application/json',
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Post,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/media/media/42/file"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
Content = new StringContent("{}")
{
Headers =
{
ContentType = new MediaTypeHeaderValue("application/json")
}
}
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{}");
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/media/media/42/file")
.post(body)
.addHeader("x-iw-jwt-token", "<TOKEN>")
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/media/media/42/file"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
req.Header.Add("content-type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/media_file_info_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
import 'package:iw_erp_api/model/media_file_info.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await MediaFileInfoController.post('42', MediaFileInfo.fromJson({}));
if (result.success) {
print(result.data);
}{
"id": 42,
"name": "Beispiel",
"description": "Text",
"public_title": "Beispiel",
"public_description": "Text",
"public_file_url": "https://vynst.de",
"public_file_name": "Beispiel",
"media_file_type": "string",
"archived": true,
"public_subtitle": "string"
}This method will get a single MediaFileInfo with the given id
GET/api/media/media/{fileIdentifier}/file
Path parameters
fileIdentifierrequiredstring |
Responses
200Returns a single MediaFileInfoMediaFileInfo
Show fields (31)
idintegerPrimary key of the media file. Internal ID.
media_file_typestringType of the media file, for example audio, video or image.
archivedbooleanThe file is archived.
namestringinternal name
descriptionstringinternal description
public_titlestringTitle shown to the public.
public_subtitlestringSubtitle shown to the public.
public_linkstringPublic link to the file.
public_authorstringAuthor shown to the public.
public_summarystringShort summary shown to the public.
public_descriptionstringDescription shown to the public.
public_explicitbooleanThe content is marked as explicit.
public_thumbnailstringURL of the thumbnail.
public_keywordsstringKeywords of the file.
public_file_urlstringURL of the file.
public_file_namestringName of the file.
public_file_mimestringMIME type of the file.
public_file_sizeintegerSize of the file in bytes.
public_durationintegerDuration of audio or video in seconds.
public_dimension_xintegerWidth of the image or video in pixels.
public_dimension_yintegerHeight of the image or video in pixels.
public_datestring (date-time)Publication date of the file.
public_orderintegerOrder of the file within its group.
public_episode_typestringEpisode type for podcasts, for example full or trailer.
public_seasonstringSeason for podcasts.
generated_id3booleanID3 tags were generated from the file.
guidstringGlobal unique ID of the file, used in feeds.
display_start_hourintegerHour from which the file is shown.
display_end_hourintegerHour until which the file is shown.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
curl --request GET \
--url https://your-instance.iw-erp.de/api/media/media/42/file \
--header 'x-iw-jwt-token: <TOKEN>'const options = {method: 'GET', headers: {'x-iw-jwt-token': '<TOKEN>'}};
fetch('https://your-instance.iw-erp.de/api/media/media/42/file', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/media/media/42/file"
headers = {"x-iw-jwt-token": "<TOKEN>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://your-instance.iw-erp.de/api/media/media/42/file', [
'headers' => [
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Get,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/media/media/42/file"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/media/media/42/file")
.get()
.addHeader("x-iw-jwt-token", "<TOKEN>")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/media/media/42/file"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/media_file_info_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await MediaFileInfoController.get('42');
if (result.success) {
print(result.data);
}{
"id": 42,
"name": "Beispiel",
"description": "Text",
"public_title": "Beispiel",
"public_description": "Text",
"public_file_url": "https://vynst.de",
"public_file_name": "Beispiel",
"media_file_type": "string",
"archived": true,
"public_subtitle": "string"
}Update a MediaFileInfo
PUT/api/media/media/{fileIdentifier}/file
Path parameters
fileIdentifierrequiredstring |
Request body application/json
dataMediaFileInfo2
Responses
200Update a MediaFileInfoMediaFileInfo
Show fields (31)
idintegerPrimary key of the media file. Internal ID.
media_file_typestringType of the media file, for example audio, video or image.
archivedbooleanThe file is archived.
namestringinternal name
descriptionstringinternal description
public_titlestringTitle shown to the public.
public_subtitlestringSubtitle shown to the public.
public_linkstringPublic link to the file.
public_authorstringAuthor shown to the public.
public_summarystringShort summary shown to the public.
public_descriptionstringDescription shown to the public.
public_explicitbooleanThe content is marked as explicit.
public_thumbnailstringURL of the thumbnail.
public_keywordsstringKeywords of the file.
public_file_urlstringURL of the file.
public_file_namestringName of the file.
public_file_mimestringMIME type of the file.
public_file_sizeintegerSize of the file in bytes.
public_durationintegerDuration of audio or video in seconds.
public_dimension_xintegerWidth of the image or video in pixels.
public_dimension_yintegerHeight of the image or video in pixels.
public_datestring (date-time)Publication date of the file.
public_orderintegerOrder of the file within its group.
public_episode_typestringEpisode type for podcasts, for example full or trailer.
public_seasonstringSeason for podcasts.
generated_id3booleanID3 tags were generated from the file.
guidstringGlobal unique ID of the file, used in feeds.
display_start_hourintegerHour from which the file is shown.
display_end_hourintegerHour until which the file is shown.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
curl --request PUT \
--url https://your-instance.iw-erp.de/api/media/media/42/file \
--header 'content-type: application/json' \
--header 'x-iw-jwt-token: <TOKEN>' \
--data '{}'const options = {
method: 'PUT',
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://your-instance.iw-erp.de/api/media/media/42/file', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/media/media/42/file"
payload = {}
headers = {
"x-iw-jwt-token": "<TOKEN>",
"content-type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('PUT', 'https://your-instance.iw-erp.de/api/media/media/42/file', [
'body' => '{}',
'headers' => [
'content-type' => 'application/json',
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Put,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/media/media/42/file"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
Content = new StringContent("{}")
{
Headers =
{
ContentType = new MediaTypeHeaderValue("application/json")
}
}
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{}");
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/media/media/42/file")
.put(body)
.addHeader("x-iw-jwt-token", "<TOKEN>")
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/media/media/42/file"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
req.Header.Add("content-type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/media_file_info_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
import 'package:iw_erp_api/model/media_file_info.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await MediaFileInfoController.put(MediaFileInfo.fromJson({}));
if (result.success) {
print(result.data);
}{
"id": 42,
"name": "Beispiel",
"description": "Text",
"public_title": "Beispiel",
"public_description": "Text",
"public_file_url": "https://vynst.de",
"public_file_name": "Beispiel",
"media_file_type": "string",
"archived": true,
"public_subtitle": "string"
}Update a MediaFileInfo
PATCH/api/media/media/{fileIdentifier}/file
Path parameters
fileIdentifierrequiredstring |
Request body application/json
dataMediaFileInfo2
Responses
200Update a MediaFileInfoMediaFileInfo
Show fields (31)
idintegerPrimary key of the media file. Internal ID.
media_file_typestringType of the media file, for example audio, video or image.
archivedbooleanThe file is archived.
namestringinternal name
descriptionstringinternal description
public_titlestringTitle shown to the public.
public_subtitlestringSubtitle shown to the public.
public_linkstringPublic link to the file.
public_authorstringAuthor shown to the public.
public_summarystringShort summary shown to the public.
public_descriptionstringDescription shown to the public.
public_explicitbooleanThe content is marked as explicit.
public_thumbnailstringURL of the thumbnail.
public_keywordsstringKeywords of the file.
public_file_urlstringURL of the file.
public_file_namestringName of the file.
public_file_mimestringMIME type of the file.
public_file_sizeintegerSize of the file in bytes.
public_durationintegerDuration of audio or video in seconds.
public_dimension_xintegerWidth of the image or video in pixels.
public_dimension_yintegerHeight of the image or video in pixels.
public_datestring (date-time)Publication date of the file.
public_orderintegerOrder of the file within its group.
public_episode_typestringEpisode type for podcasts, for example full or trailer.
public_seasonstringSeason for podcasts.
generated_id3booleanID3 tags were generated from the file.
guidstringGlobal unique ID of the file, used in feeds.
display_start_hourintegerHour from which the file is shown.
display_end_hourintegerHour until which the file is shown.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
curl --request PATCH \
--url https://your-instance.iw-erp.de/api/media/media/42/file \
--header 'content-type: application/json' \
--header 'x-iw-jwt-token: <TOKEN>' \
--data '{}'const options = {
method: 'PATCH',
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://your-instance.iw-erp.de/api/media/media/42/file', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/media/media/42/file"
payload = {}
headers = {
"x-iw-jwt-token": "<TOKEN>",
"content-type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('PATCH', 'https://your-instance.iw-erp.de/api/media/media/42/file', [
'body' => '{}',
'headers' => [
'content-type' => 'application/json',
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Patch,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/media/media/42/file"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
Content = new StringContent("{}")
{
Headers =
{
ContentType = new MediaTypeHeaderValue("application/json")
}
}
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{}");
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/media/media/42/file")
.patch(body)
.addHeader("x-iw-jwt-token", "<TOKEN>")
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/media/media/42/file"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
req.Header.Add("content-type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with package:http (no controller in the iw_erp_api package)
import 'dart:convert';
import 'package:http/http.dart' as http;
final response = await http.patch(
Uri.parse('https://your-instance.iw-erp.de/api/media/media/42/file'),
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: jsonEncode({}),
);
print(response.body);{
"id": 42,
"name": "Beispiel",
"description": "Text",
"public_title": "Beispiel",
"public_description": "Text",
"public_file_url": "https://vynst.de",
"public_file_name": "Beispiel",
"media_file_type": "string",
"archived": true,
"public_subtitle": "string"
}Returns a list of media files for a single media group
GET/api/media/mediagroup/{groupIdentifier}/entries
Path parameters
groupIdentifierrequiredstring |
Query parameters
namestring | internal name | Requires access right: PUBLIC, LOGGED_IN, SCOPE |
publicTitlestring | Requires access right: PUBLIC, LOGGED_IN, SCOPE |
publicSubtitlestring | Requires access right: PUBLIC, LOGGED_IN, SCOPE |
publicKeywordsstring | Requires access right: PUBLIC, LOGGED_IN, SCOPE |
publicDatestring | Requires access right: PUBLIC, LOGGED_IN, SCOPE |
publicOrderstring | Requires access right: PUBLIC, LOGGED_IN, SCOPE |
publicSeasonstring | Requires access right: PUBLIC, LOGGED_IN, SCOPE |
publicFileMimestring | Requires access right: PUBLIC, LOGGED_IN, SCOPE |
addonData_customFilterstring | Requires access right: PUBLIC, LOGGED_IN, SCOPE |
archivedboolean | |
generatedId3boolean | |
idinteger | |
createdstring | |
updatedstring | |
searchStringstring | text to search for in the list |
orderFieldNamestring | name of the order field |
orderFieldSortstring | sorting modeAllowed: DESCASC |
pageinteger | page of the list |
pageSizeinteger | number of entries for each page |
withMaxPageNumberstring | returns the number of pages available as a header if this is set |
Responses
200Returns a list of media files for a single media grouparray<MediaFileInfo3>
Show fields (26)
idintegerPrimary key of the media file. Internal ID.
media_file_typestringType of the media file, for example audio, video or image.
public_titlestringTitle shown to the public.
public_subtitlestringSubtitle shown to the public.
public_linkstringPublic link to the file.
public_authorstringAuthor shown to the public.
public_summarystringShort summary shown to the public.
public_descriptionstringDescription shown to the public.
public_explicitbooleanThe content is marked as explicit.
public_thumbnailstringURL of the thumbnail.
public_keywordsstringKeywords of the file.
public_file_namestringName of the file.
public_file_mimestringMIME type of the file.
public_file_sizeintegerSize of the file in bytes.
public_durationintegerDuration of audio or video in seconds.
public_dimension_xintegerWidth of the image or video in pixels.
public_dimension_yintegerHeight of the image or video in pixels.
public_datestring (date-time)Publication date of the file.
public_orderintegerOrder of the file within its group.
public_episode_typestringEpisode type for podcasts, for example full or trailer.
public_seasonstringSeason for podcasts.
guidstringGlobal unique ID of the file, used in feeds.
display_start_hourintegerHour from which the file is shown.
display_end_hourintegerHour until which the file is shown.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
curl --request GET \
--url https://your-instance.iw-erp.de/api/media/mediagroup/42/entries \
--header 'x-iw-jwt-token: <TOKEN>'const options = {method: 'GET', headers: {'x-iw-jwt-token': '<TOKEN>'}};
fetch('https://your-instance.iw-erp.de/api/media/mediagroup/42/entries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/media/mediagroup/42/entries"
headers = {"x-iw-jwt-token": "<TOKEN>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://your-instance.iw-erp.de/api/media/mediagroup/42/entries', [
'headers' => [
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Get,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/media/mediagroup/42/entries"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/media/mediagroup/42/entries")
.get()
.addHeader("x-iw-jwt-token", "<TOKEN>")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/media/mediagroup/42/entries"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/media_group_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await MediaGroupController.getEntries('42');
if (result.success) {
print(result.data);
}[
{
"id": 42,
"public_title": "Beispiel",
"public_description": "Text",
"public_file_name": "Beispiel",
"media_file_type": "string",
"public_subtitle": "string",
"public_link": "string",
"public_author": "string",
"public_summary": "string",
"public_explicit": true
}
]